## org.eclipse.xsd.util
Class XSDAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.xsd.util.XSDAdapterFactory

All Implemented Interfaces:
  AdapterFactory

Direct Known Subclasses:
  XSDItemProviderAdapterFactory

    public class XSDAdapterFactory

extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `XSDPackage`

Field Summary
`protected static XSDPackage` `modelPackage` The cached model package
`protected XSDSwitch<Adapter>` `modelSwitch` The switch that delegates to the `createXXX` methods

Constructor Summary
`XSDAdapterFactory()` Creates an instance of the adapter factory

Method Summary
`Adapter` `createAdapter(Notifier target)` Creates an adapter for the `target`
`Adapter` `createEObjectAdapter()` Creates a new adapter for the default case
`Adapter` `createXSDAnnotationAdapter()` Creates a new adapter for an object of class '`Annotation`'
`Adapter` `createXSDAttributeDeclarationAdapter()` Creates a new adapter for an object of class '`Attribute Declaration`'
`Adapter` `createXSDAttributeGroupContentAdapter()` Creates a new adapter for an object of class '`Attribute Group Content`'
`Adapter` `createXSDAttributeGroupDefinitionAdapter()` Creates a new adapter for an object of class '`Attribute Group Definition`'
`Adapter` `createXSDAttributeUseAdapter()` Creates a new adapter for an object of class '`Attribute Use`'
`Adapter` `createXSDBoundedFacetAdapter()` Creates a new adapter for an object of class '`Bounded Facet`'
`Adapter` `createXSDCardinalityFacetAdapter()` Creates a new adapter for an object of class '`Cardinality Facet`'
`Adapter` `createXSDComplexTypeContentAdapter()` Creates a new adapter for an object of class '`Complex Type Content`'
`Adapter` `createXSDComplexTypeDefinitionAdapter()` Creates a new adapter for an object of class '`Complex Type Definition`'
`Adapter` `createXSDComponentAdapter()` Creates a new adapter for an object of class '`Component`'
`Adapter` `createXSDConcreteComponentAdapter()` Creates a new adapter for an object of class '`Concrete Component`'
`Adapter` `createXSDConstrainingFacetAdapter()` Creates a new adapter for an object of class '`Constraining Facet`'
`Adapter` `createXSDDiagnosticAdapter()` Creates a new adapter for an object of class '`Diagnostic`'
`Adapter` `createXSDElementDeclarationAdapter()` Creates a new adapter for an object of class '`Element Declaration`'
`Adapter` `createXSDEnumerationFacetAdapter()` Creates a new adapter for an object of class '`Enumeration Facet`'
`Adapter` `createXSDFacetAdapter()` Creates a new adapter for an object of class '`Facet`'
`Adapter` `createXSDFeatureAdapter()` Creates a new adapter for an object of class '`Feature`'
`Adapter` `createXSDFixedFacetAdapter()` Creates a new adapter for an object of class '`Fixed Facet`'
`Adapter` `createXSDFractionDigitsFacetAdapter()` Creates a new adapter for an object of class '`Fraction Digits Facet`'
`Adapter` `createXSDFundamentalFacetAdapter()` Creates a new adapter for an object of class '`Fundamental Facet`'
`Adapter` `createXSDIdentityConstraintDefinitionAdapter()` Creates a new adapter for an object of class '`Identity Constraint Definition`'
`Adapter` `createXSDImportAdapter()` Creates a new adapter for an object of class '`Import`'
`Adapter` `createXSDIncludeAdapter()` Creates a new adapter for an object of class '`Include`'
`Adapter` `createXSDLengthFacetAdapter()` Creates a new adapter for an object of class '`Length Facet`'
`Adapter` `createXSDMaxExclusiveFacetAdapter()` Creates a new adapter for an object of class '`Max Exclusive Facet`'
`Adapter` `createXSDMaxFacetAdapter()` Creates a new adapter for an object of class '`Max Facet`'
`Adapter` `createXSDMaxInclusiveFacetAdapter()` Creates a new adapter for an object of class '`Max Inclusive Facet`'
`Adapter` `createXSDMaxLengthFacetAdapter()` Creates a new adapter for an object of class '`Max Length Facet`'
`Adapter` `createXSDMinExclusiveFacetAdapter()` Creates a new adapter for an object of class '`Min Exclusive Facet`'
`Adapter` `createXSDMinFacetAdapter()` Creates a new adapter for an object of class '`Min Facet`'
`Adapter` `createXSDMinInclusiveFacetAdapter()` Creates a new adapter for an object of class '`Min Inclusive Facet`'
`Adapter` `createXSDMinLengthFacetAdapter()` Creates a new adapter for an object of class '`Min Length Facet`'
`Adapter` `createXSDModelGroupAdapter()` Creates a new adapter for an object of class '`Model Group`'
`Adapter` `createXSDModelGroupDefinitionAdapter()` Creates a new adapter for an object of class '`Model Group Definition`'
`Adapter` `createXSDNamedComponentAdapter()` Creates a new adapter for an object of class '`Named Component`'
`Adapter` `createXSDNotationDeclarationAdapter()` Creates a new adapter for an object of class '`Notation Declaration`'
`Adapter` `createXSDNumericFacetAdapter()` Creates a new adapter for an object of class '`Numeric Facet`'
`Adapter` `createXSDOrderedFacetAdapter()` Creates a new adapter for an object of class '`Ordered Facet`'
`Adapter` `createXSDParticleAdapter()` Creates a new adapter for an object of class '`Particle`'
`Adapter` `createXSDParticleContentAdapter()` Creates a new adapter for an object of class '`Particle Content`'
`Adapter` `createXSDPatternFacetAdapter()` Creates a new adapter for an object of class '`Pattern Facet`'
`Adapter` `createXSDRedefinableComponentAdapter()` Creates a new adapter for an object of class '`Redefinable Component`'
`Adapter` `createXSDRedefineAdapter()` Creates a new adapter for an object of class '`Redefine`'
`Adapter` `createXSDRedefineContentAdapter()` Creates a new adapter for an object of class '`Redefine Content`'
`Adapter` `createXSDRepeatableFacetAdapter()` Creates a new adapter for an object of class '`Repeatable Facet`'
`Adapter` `createXSDSchemaAdapter()` Creates a new adapter for an object of class '`Schema`'
`Adapter` `createXSDSchemaCompositorAdapter()` Creates a new adapter for an object of class '`Schema Compositor`'
`Adapter` `createXSDSchemaContentAdapter()` Creates a new adapter for an object of class '`Schema Content`'
`Adapter` `createXSDSchemaDirectiveAdapter()` Creates a new adapter for an object of class '`Schema Directive`'
`Adapter` `createXSDScopeAdapter()` Creates a new adapter for an object of class '`Scope`'
`Adapter` `createXSDSimpleTypeDefinitionAdapter()` Creates a new adapter for an object of class '`Simple Type Definition`'
`Adapter` `createXSDTermAdapter()` Creates a new adapter for an object of class '`Term`'
`Adapter` `createXSDTotalDigitsFacetAdapter()` Creates a new adapter for an object of class '`Total Digits Facet`'
`Adapter` `createXSDTypeDefinitionAdapter()` Creates a new adapter for an object of class '`Type Definition`'
`Adapter` `createXSDWhiteSpaceFacetAdapter()` Creates a new adapter for an object of class '`White Space Facet`'
`Adapter` `createXSDWildcardAdapter()` Creates a new adapter for an object of class '`Wildcard`'
`Adapter` `createXSDXPathDefinitionAdapter()` Creates a new adapter for an object of class '`XPath Definition`'
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static XSDPackage modelPackage

  The cached model package.

### modelSwitch

    protected XSDSwitch<Adapter> modelSwitch

  The switch that delegates to the `createXXX` methods.

Constructor Detail

### XSDAdapterFactory

    public XSDAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `AdapterFactory`
  Overrides:
    `isFactoryForType` in class `AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public Adapter createAdapter(Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createXSDAnnotationAdapter

    public Adapter createXSDAnnotationAdapter()

  Creates a new adapter for an object of class '`Annotation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDAnnotation`

### createXSDAttributeDeclarationAdapter

    public Adapter createXSDAttributeDeclarationAdapter()

  Creates a new adapter for an object of class '`Attribute Declaration`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDAttributeDeclaration`

### createXSDAttributeGroupContentAdapter

    public Adapter createXSDAttributeGroupContentAdapter()

  Creates a new adapter for an object of class '`Attribute Group Content`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDAttributeGroupContent`

### createXSDAttributeGroupDefinitionAdapter

    public Adapter createXSDAttributeGroupDefinitionAdapter()

  Creates a new adapter for an object of class '`Attribute Group Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDAttributeGroupDefinition`

### createXSDAttributeUseAdapter

    public Adapter createXSDAttributeUseAdapter()

  Creates a new adapter for an object of class '`Attribute Use`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDAttributeUse`

### createXSDBoundedFacetAdapter

    public Adapter createXSDBoundedFacetAdapter()

  Creates a new adapter for an object of class '`Bounded Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDBoundedFacet`

### createXSDCardinalityFacetAdapter

    public Adapter createXSDCardinalityFacetAdapter()

  Creates a new adapter for an object of class '`Cardinality Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDCardinalityFacet`

### createXSDComplexTypeContentAdapter

    public Adapter createXSDComplexTypeContentAdapter()

  Creates a new adapter for an object of class '`Complex Type Content`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDComplexTypeContent`

### createXSDComplexTypeDefinitionAdapter

    public Adapter createXSDComplexTypeDefinitionAdapter()

  Creates a new adapter for an object of class '`Complex Type Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDComplexTypeDefinition`

### createXSDComponentAdapter

    public Adapter createXSDComponentAdapter()

  Creates a new adapter for an object of class '`Component`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDComponent`

### createXSDConcreteComponentAdapter

    public Adapter createXSDConcreteComponentAdapter()

  Creates a new adapter for an object of class '`Concrete Component`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDConcreteComponent`

### createXSDConstrainingFacetAdapter

    public Adapter createXSDConstrainingFacetAdapter()

  Creates a new adapter for an object of class '`Constraining Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDConstrainingFacet`

### createXSDDiagnosticAdapter

    public Adapter createXSDDiagnosticAdapter()

  Creates a new adapter for an object of class '`Diagnostic`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDDiagnostic`

### createXSDElementDeclarationAdapter

    public Adapter createXSDElementDeclarationAdapter()

  Creates a new adapter for an object of class '`Element Declaration`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDElementDeclaration`

### createXSDEnumerationFacetAdapter

    public Adapter createXSDEnumerationFacetAdapter()

  Creates a new adapter for an object of class '`Enumeration Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDEnumerationFacet`

### createXSDFacetAdapter

    public Adapter createXSDFacetAdapter()

  Creates a new adapter for an object of class '`Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDFacet`

### createXSDFeatureAdapter

    public Adapter createXSDFeatureAdapter()

  Creates a new adapter for an object of class '`Feature`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDFeature`

### createXSDFixedFacetAdapter

    public Adapter createXSDFixedFacetAdapter()

  Creates a new adapter for an object of class '`Fixed Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDFixedFacet`

### createXSDFractionDigitsFacetAdapter

    public Adapter createXSDFractionDigitsFacetAdapter()

  Creates a new adapter for an object of class '`Fraction Digits Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDFractionDigitsFacet`

### createXSDFundamentalFacetAdapter

    public Adapter createXSDFundamentalFacetAdapter()

  Creates a new adapter for an object of class '`Fundamental Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDFundamentalFacet`

### createXSDIdentityConstraintDefinitionAdapter

    public Adapter createXSDIdentityConstraintDefinitionAdapter()

  Creates a new adapter for an object of class '`Identity Constraint Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDIdentityConstraintDefinition`

### createXSDImportAdapter

    public Adapter createXSDImportAdapter()

  Creates a new adapter for an object of class '`Import`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDImport`

### createXSDIncludeAdapter

    public Adapter createXSDIncludeAdapter()

  Creates a new adapter for an object of class '`Include`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDInclude`

### createXSDLengthFacetAdapter

    public Adapter createXSDLengthFacetAdapter()

  Creates a new adapter for an object of class '`Length Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDLengthFacet`

### createXSDMaxExclusiveFacetAdapter

    public Adapter createXSDMaxExclusiveFacetAdapter()

  Creates a new adapter for an object of class '`Max Exclusive Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDMaxExclusiveFacet`

### createXSDMaxFacetAdapter

    public Adapter createXSDMaxFacetAdapter()

  Creates a new adapter for an object of class '`Max Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDMaxFacet`

### createXSDMaxInclusiveFacetAdapter

    public Adapter createXSDMaxInclusiveFacetAdapter()

  Creates a new adapter for an object of class '`Max Inclusive Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDMaxInclusiveFacet`

### createXSDMaxLengthFacetAdapter

    public Adapter createXSDMaxLengthFacetAdapter()

  Creates a new adapter for an object of class '`Max Length Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDMaxLengthFacet`

### createXSDMinExclusiveFacetAdapter

    public Adapter createXSDMinExclusiveFacetAdapter()

  Creates a new adapter for an object of class '`Min Exclusive Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDMinExclusiveFacet`

### createXSDMinFacetAdapter

    public Adapter createXSDMinFacetAdapter()

  Creates a new adapter for an object of class '`Min Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDMinFacet`

### createXSDMinInclusiveFacetAdapter

    public Adapter createXSDMinInclusiveFacetAdapter()

  Creates a new adapter for an object of class '`Min Inclusive Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDMinInclusiveFacet`

### createXSDMinLengthFacetAdapter

    public Adapter createXSDMinLengthFacetAdapter()

  Creates a new adapter for an object of class '`Min Length Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDMinLengthFacet`

### createXSDModelGroupAdapter

    public Adapter createXSDModelGroupAdapter()

  Creates a new adapter for an object of class '`Model Group`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDModelGroup`

### createXSDModelGroupDefinitionAdapter

    public Adapter createXSDModelGroupDefinitionAdapter()

  Creates a new adapter for an object of class '`Model Group Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDModelGroupDefinition`

### createXSDNamedComponentAdapter

    public Adapter createXSDNamedComponentAdapter()

  Creates a new adapter for an object of class '`Named Component`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDNamedComponent`

### createXSDNotationDeclarationAdapter

    public Adapter createXSDNotationDeclarationAdapter()

  Creates a new adapter for an object of class '`Notation Declaration`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDNotationDeclaration`

### createXSDNumericFacetAdapter

    public Adapter createXSDNumericFacetAdapter()

  Creates a new adapter for an object of class '`Numeric Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDNumericFacet`

### createXSDOrderedFacetAdapter

    public Adapter createXSDOrderedFacetAdapter()

  Creates a new adapter for an object of class '`Ordered Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDOrderedFacet`

### createXSDParticleAdapter

    public Adapter createXSDParticleAdapter()

  Creates a new adapter for an object of class '`Particle`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDParticle`

### createXSDParticleContentAdapter

    public Adapter createXSDParticleContentAdapter()

  Creates a new adapter for an object of class '`Particle Content`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDParticleContent`

### createXSDPatternFacetAdapter

    public Adapter createXSDPatternFacetAdapter()

  Creates a new adapter for an object of class '`Pattern Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDPatternFacet`

### createXSDRedefinableComponentAdapter

    public Adapter createXSDRedefinableComponentAdapter()

  Creates a new adapter for an object of class '`Redefinable Component`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDRedefinableComponent`

### createXSDRedefineContentAdapter

    public Adapter createXSDRedefineContentAdapter()

  Creates a new adapter for an object of class '`Redefine Content`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDRedefineContent`

### createXSDRedefineAdapter

    public Adapter createXSDRedefineAdapter()

  Creates a new adapter for an object of class '`Redefine`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDRedefine`

### createXSDRepeatableFacetAdapter

    public Adapter createXSDRepeatableFacetAdapter()

  Creates a new adapter for an object of class '`Repeatable Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDRepeatableFacet`

### createXSDSchemaAdapter

    public Adapter createXSDSchemaAdapter()

  Creates a new adapter for an object of class '`Schema`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDSchema`

### createXSDSchemaCompositorAdapter

    public Adapter createXSDSchemaCompositorAdapter()

  Creates a new adapter for an object of class '`Schema Compositor`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDSchemaCompositor`

### createXSDSchemaContentAdapter

    public Adapter createXSDSchemaContentAdapter()

  Creates a new adapter for an object of class '`Schema Content`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDSchemaContent`

### createXSDSchemaDirectiveAdapter

    public Adapter createXSDSchemaDirectiveAdapter()

  Creates a new adapter for an object of class '`Schema Directive`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDSchemaDirective`

### createXSDScopeAdapter

    public Adapter createXSDScopeAdapter()

  Creates a new adapter for an object of class '`Scope`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDScope`

### createXSDSimpleTypeDefinitionAdapter

    public Adapter createXSDSimpleTypeDefinitionAdapter()

  Creates a new adapter for an object of class '`Simple Type Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDSimpleTypeDefinition`

### createXSDTermAdapter

    public Adapter createXSDTermAdapter()

  Creates a new adapter for an object of class '`Term`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDTerm`

### createXSDTotalDigitsFacetAdapter

    public Adapter createXSDTotalDigitsFacetAdapter()

  Creates a new adapter for an object of class '`Total Digits Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDTotalDigitsFacet`

### createXSDTypeDefinitionAdapter

    public Adapter createXSDTypeDefinitionAdapter()

  Creates a new adapter for an object of class '`Type Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDTypeDefinition`

### createXSDWhiteSpaceFacetAdapter

    public Adapter createXSDWhiteSpaceFacetAdapter()

  Creates a new adapter for an object of class '`White Space Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDWhiteSpaceFacet`

### createXSDWildcardAdapter

    public Adapter createXSDWildcardAdapter()

  Creates a new adapter for an object of class '`Wildcard`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDWildcard`

### createXSDXPathDefinitionAdapter

    public Adapter createXSDXPathDefinitionAdapter()

  Creates a new adapter for an object of class '`XPath Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XSDXPathDefinition`

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.